Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.nio
Class ByteOrder

    java.lang.Object
      |
      +--java.nio.ByteOrder

public final class ByteOrder
extends Object

A typesafe enumeration for byte orders.

Since:
  1.4

Field Summary
`static ByteOrder` | `BIG_ENDIAN` Constant denoting big-endian byte order.
`static ByteOrder` | `LITTLE_ENDIAN` Constant denoting little-endian byte order.

Method Summary
`static ByteOrder` | `nativeOrder()` Retrieves the native byte order of the underlying platform.
`String` | `toString()` Constructs a string describing this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BIG_ENDIAN

    public static final ByteOrder BIG_ENDIAN

  Constant denoting big-endian byte order. In this order, the bytes of a multibyte value are ordered from most significant to least significant.

### LITTLE_ENDIAN

    public static final ByteOrder LITTLE_ENDIAN

  Constant denoting little-endian byte order. In this order, the bytes of a multibyte value are ordered from least significant to most significant.

Method Detail

### nativeOrder

    public static ByteOrder nativeOrder()

  Retrieves the native byte order of the underlying platform.

  This method is defined so that performance-sensitive Java code can allocate direct buffers with the same byte order as the hardware. Native code libraries are often more efficient when such buffers are used.

### toString

    public String toString()

  Constructs a string describing this object.

  This method returns the string `"BIG_ENDIAN"` for `BIG_ENDIAN` and `"LITTLE_ENDIAN"` for `LITTLE_ENDIAN`.

  Overrides:
    `toString` in class `Object`
  Returns:
    The specified string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.